package imp.ringing;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.telephony.TelephonyManager;
import android.util.Log;

/**
 * A class that handles phone state changes and forwards them to the currently used protocol. 
 */
public class CallController extends BroadcastReceiver {
					
	/**
	 * Forwards phone state changes to the Protocol.
	 */
    @Override
    public void onReceive(Context context, Intent intent) {
    	
    	Log.i("USER", "CallController");
    	if (Main.callBackProtocol == null) {
    		Log.i("USER", "No callback set");
    		return;
    	}
    	
        if (intent.getStringExtra(TelephonyManager.EXTRA_STATE).equals(TelephonyManager.EXTRA_STATE_RINGING)) {
        	Main.callBackProtocol.phoneStateCallback(
        		ProtocolCallbackType.Receiving,
        		intent.getStringExtra(TelephonyManager.EXTRA_INCOMING_NUMBER)
        	);
        } else if (intent.getStringExtra(TelephonyManager.EXTRA_STATE).equals(TelephonyManager.EXTRA_STATE_OFFHOOK)) {
        	Main.callBackProtocol.phoneStateCallback(ProtocolCallbackType.Calling, null);
        } else if (intent.getStringExtra(TelephonyManager.EXTRA_STATE).equals(TelephonyManager.EXTRA_STATE_IDLE)) {
        	Main.callBackProtocol.phoneStateCallback(ProtocolCallbackType.Hangup, null);
        }

    }
    
}
