package imp.ringing;

import android.util.Log;

/**
 * A static class used to select a subclass of Coder.
 */
public class CoderSelector {
	private static Class<? extends Coder> selectedCoder = null;
	
	/**
	 * Selects a coder.
	 * @param index Index of the coder in order in which they are listed in the UI.
	 */
	public static void selectByIndex(int index) {		
		switch (index) {
			case 0:
				Log.i("USER", "Selected Plain bits");
				selectedCoder = PlainBitsCoder.class;
			break;
			
			case 1:
				Log.i("USER", "Selected UTF-8");
				selectedCoder = Utf8Coder.class;
			break;
			
			case 2:
				Log.i("USER", "Selected Alphanum");
				selectedCoder = AlphaNumCoder.class;
			break;
									
			default:
				Log.i("USER", "Unsupported encoding number");
		}
	}

	/**
	 * @return The selected coder.
	 */
	public static Coder getCoder() {
		if (selectedCoder == null) {
			selectByIndex(0);
		}
		
		try {
			return selectedCoder.newInstance();
		} catch (Exception e) {
			// As selectedProtocol is never an abstract class or null,
			// this will never happen.
			return null;
		}
	}
}
