package imp.ringing;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.widget.Button;
import android.widget.RadioGroup;

/**
 * The main class which sets up the application. 
 */
public class Main extends ActionBarActivity {
	public static Main context;
	public static CallController callController;
	public static Protocol callBackProtocol;
    public static TabNavigator tabNavigator;
	
    /**
     * Sets the context variable to this instance, so that it does not have to be passed everywhere.
     */
	public Main() {
		context = this;
	}
	
	/**
	 * Initializes the Handlers and TabNavigator classes.
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		((RadioGroup)this.findViewById(R.id.radioGroupMode)).setOnCheckedChangeListener(Handlers.modeRadioHandler);
		((RadioGroup)this.findViewById(R.id.radioGroupProtocol)).setOnCheckedChangeListener(Handlers.protocolRadioHandler);
		((RadioGroup)this.findViewById(R.id.radioGroupEncoding)).setOnCheckedChangeListener(Handlers.encodingRadioHandler);
        ((Button)this.findViewById(R.id.buttonSend)).setOnClickListener(Handlers.sendButtonHandler);
        ((Button)this.findViewById(R.id.buttonRecvClear)).setOnClickListener(Handlers.clearRecvButtonHandler);
        ((Button)this.findViewById(R.id.buttonSendClear)).setOnClickListener(Handlers.clearSentButtonHandler);        
        
        tabNavigator = new TabNavigator();
        
        Log.i("USER", "Starting");
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
}
