package imp.ringing;

import android.graphics.Color;
import android.view.View;
import android.widget.ProgressBar;


/**
 * An encapsulation of the throbber (spinner) displayed while sending a message.
 */
public class Throbber {
	
	/** Activates the throbber. */
	public static void activate() {
		Main.context.runOnUiThread(
			new Runnable() {
				public void run() {
					((ProgressBar)Main.context.findViewById(R.id.throbber)).getIndeterminateDrawable().setColorFilter(Color.BLUE, android.graphics.PorterDuff.Mode.MULTIPLY);
					Main.context.findViewById(R.id.panelContent).setVisibility(View.GONE);					
					Main.context.findViewById(R.id.panelThrobber).setVisibility(View.VISIBLE);
					Main.context.findViewById(R.id.panelThrobber).bringToFront();
				}
			}
		);
	}
	
	/** Deactivates the throbber. */
	public static void deactivate() {				
		Main.context.runOnUiThread(
			new Runnable() {
				public void run() {
					Main.context.findViewById(R.id.panelThrobber).setVisibility(View.GONE);
					Main.context.findViewById(R.id.panelContent).setVisibility(View.VISIBLE);
				}
			}
		);		
	}
}
